List aggregated portfolio balances
curl --request GET \
--url https://api.portfobit.com/api/v1/portfolios/{portfolio_id}/balances \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portfobit.com/api/v1/portfolios/{portfolio_id}/balances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portfobit.com/api/v1/portfolios/{portfolio_id}/balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"asset": "BTC",
"free": "3.1",
"used": "0.4",
"total": "3.5",
"debt": null,
"price": "60000.00",
"value": "210000.00",
"base_currency": "USD",
"allocation": "0.168",
"sources": [
{
"account_id": "acc_01H8XFK9A",
"venue": "binance",
"asset_location": "trading",
"total": "3.5",
"value": "210000.00"
}
]
}
],
"meta": {
"total": 1,
"limit": 50,
"offset": 0,
"has_next": false,
"portfolio_id": "global",
"base_currency": "USD",
"account_count": 1,
"request_id": "req_01J2K8B7QW",
"generated_at": "2026-08-07T08:00:01Z"
}
}{
"error": {
"code": "resource_plan_limited",
"message": "This portfolio is retained but unavailable on the Free plan.",
"details": {
"resource_type": "portfolio",
"resource_id": "pf_01J2K7M9N3",
"current_plan": "Free",
"limit": 3,
"upgrade_path": "Plus"
}
},
"meta": {
"request_id": "req_01J2K8B7QW",
"generated_at": "2026-08-08T08:00:00Z"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"meta": {
"request_id": "<string>",
"generated_at": "2023-11-07T05:31:56Z"
}
}Portfolios
List aggregated portfolio balances
Requires portfolio:read.
GET
/
portfolios
/
{portfolio_id}
/
balances
List aggregated portfolio balances
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Portfolio ID; global is the current user's all-account view.
Query Parameters
CEX identifier.
Exact, case-sensitive tag filter.
Available options:
active, syncing, error, expired, disabled Decimal-string minimum valuation.
Required range:
1 <= x <= 100Required range:
x >= 0